# $Revision: 1.203 $, $Date: 2009/02/07 16:57:14 $
# TODO
# - solve this (shouldn't there be some obsoletes?):
#   error: xorg-driver-video-nvidia-169.12-3.i686 (cnfl Mesa-libGL) conflicts with installed Mesa-libGL-7.0.3-2.i686
#   error: xorg-driver-video-nvidia-169.12-3.i686 (cnfl Mesa-libGL) conflicts with installed Mesa-libGL-7.0.3-2.i686
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# without kernel packages
%bcond_without	userspace	# don't build userspace programs
%bcond_with	multigl		# package libGL and libglx.so in a way allowing concurrent install with nvidia/fglrx drivers
%bcond_with	verbose		# verbose build (V=1)

%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		pname		xorg-driver-video-nvidia
%define		rel		8

Summary:	Linux Drivers for nVidia GeForce/Quadro Chips
Summary(hu.UTF-8):	Linux meghajtók nVidia GeForce/Quadro chipekhez
Summary(pl.UTF-8):	Sterowniki do kart graficznych nVidia GeForce/Quadro
Name:		%{pname}%{_alt_kernel}
Version:	180.22
Release:	%{rel}%{?with_multigl:.mgl}
Epoch:		1
License:	nVidia Binary
Group:		X11
Source0:	http://download.nvidia.com/XFree86/Linux-x86/%{version}/NVIDIA-Linux-x86-%{version}-pkg0.run
# Source0-md5:	265a984e973bcf5a7c2feeba4b0927a9
Source1:	http://download.nvidia.com/XFree86/Linux-x86_64/%{version}/NVIDIA-Linux-x86_64-%{version}-pkg0.run
# Source1-md5:	91a40e758b06429453d780932f51d6d9
Source2:	%{pname}-xinitrc.sh
Patch0:		X11-driver-nvidia-GL.patch
Patch1:		X11-driver-nvidia-desktop.patch
URL:		http://www.nvidia.com/object/unix.html
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
%endif
BuildRequires:	%{kgcc_package}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRequires:	sed >= 4.0
BuildConflicts:	XFree86-nvidia
Requires:	xorg-xserver-server
Requires:	xorg-xserver-server(videodrv-abi) <= 4.1
Requires:	xorg-xserver-server(videodrv-abi) >= 2.0
Provides:	OpenGL = 2.1
Provides:	OpenGL-GLX = 1.4
Provides:	xorg-xserver-module(glx)
%if %{without multigl}
Obsoletes:	Mesa
%endif
Obsoletes:	X11-OpenGL-core < 1:7.0.0
Obsoletes:	X11-OpenGL-libGL < 1:7.0.0
Obsoletes:	XFree86-OpenGL-core < 1:7.0.0
Obsoletes:	XFree86-OpenGL-libGL < 1:7.0.0
Obsoletes:	XFree86-driver-nvidia
Obsoletes:	XFree86-nvidia
%if %{without multigl}
Conflicts:	Mesa-libGL
%endif
Conflicts:	XFree86-OpenGL-devel <= 4.2.0-3
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLcore.so.1

%description
This driver set adds improved 2D functionality to the Xorg X server as
well as high performance OpenGL acceleration, AGP support, support for
most flat panels, and 2D multiple monitor support. Supported hardware:
modern NVIDIA GeForce (from GeForce2 MX) and Quadro (Quadro4 and up)
based graphics accelerators.

The older graphics chips are unsupported:
- NV1 and RIVA 128/128ZX chips are supported in the base Xorg install
  (nv driver)
- TNT/TNT2/GeForce 256/GeForce2 Ultra/Quadro2 are suported by -legacy
  drivers.

%description -l hu.UTF-8
Ez a meghajtó kibővíti az Xorg X szerver 2D működését OpenGL
gyorsítással, AGP támogatással és támogatja a több monitort.
Támogatott hardverek: modern NVIDIA GeForce (GeForce2 MX-től) és
Quadro (Quadro4 és újabbak) alapú grafikai gyorsítók.

A régekbbi grafikus chipek nem támogatottak:
- NV1 és RIVA 128/128ZX chipek az alap Xorg telepítéssel (nv meghajtó)
- TNT/TNT2/GeForce 256/GeForce2 Ultra/Quadro2 a -legacy driverekkel
  támogatottak.

%description -l pl.UTF-8
Usprawnione sterowniki dla kart graficznych nVidia do serwera Xorg,
dające wysokowydajną akcelerację OpenGL, obsługę AGP i wielu monitorów
2D. Obsługują w miarę nowe karty NVIDIA GeForce (od wersji GeForce2
MX) oraz Quadro (od wersji Quadro4).

Starsze układy graficzne nie są obsługiwane przez ten pakiet:
- NV1 i RIVA 128/128ZX są obsługiwane przez sterownik nv z Xorg
- TNT/TNT2/GeForce 256/GeForce 2 Ultra/Quadro 2 są obsługiwane przez
  sterowniki -legacy

%package devel
Summary:	OpenGL (GL and GLX) header files
Summary(hu.UTF-8):	OpenGL (GL és GLX) fejléc fájlok
Summary(pl.UTF-8):	Pliki nagłówkowe OpenGL (GL i GLX)
Group:		X11/Development/Libraries
Requires:	%{pname} = %{epoch}:%{version}-%{release}
Provides:	OpenGL-GLX-devel = 1.4
Provides:	OpenGL-devel = 2.1
Obsoletes:	X11-OpenGL-devel-base
Obsoletes:	XFree86-OpenGL-devel-base
Obsoletes:	XFree86-driver-nvidia-devel
Conflicts:	XFree86-OpenGL-devel < 4.3.99.902-0.3

%description devel
OpenGL header files (GL and GLX only) for NVIDIA OpenGL
implementation.

%description devel -l hu.UTF-8
OpenGL fejléc fájlok (csak GL és GLX) NVIDIA OpenGL implementációhoz.

%description devel -l pl.UTF-8
Pliki nagłówkowe OpenGL (tylko GL i GLX) dla implementacji OpenGL
firmy NVIDIA.

%package static
Summary:	Static XvMCNVIDIA library
Summary(hu.UTF-8):	Statikus XwMCNVIDIA könyvtár
Summary(pl.UTF-8):	Statyczna biblioteka XvMCNVIDIA
Group:		X11/Development/Libraries
Requires:	%{pname}-devel = %{epoch}:%{version}-%{release}

%description static
Static XvMCNVIDIA library.

%description static -l hu.UTF-8
Statikus XwMCNVIDIA könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka XvMCNVIDIA.

%package progs
Summary:	Tools for advanced control of nVidia graphic cards
Summary(hu.UTF-8):	Eszközök az nVidia grafikus kártyák beállításához
Summary(pl.UTF-8):	Narzędzia do zarządzania kartami graficznymi nVidia
Group:		Applications/System
Requires:	%{pname} = %{epoch}:%{version}-%{release}
Suggests:	pkgconfig
Obsoletes:	XFree86-driver-nvidia-progs

%description progs
Tools for advanced control of nVidia graphic cards.

%description progs -l hu.UTF-8
Eszközök az nVidia grafikus kártyák beállításához.

%description progs -l pl.UTF-8
Narzędzia do zarządzania kartami graficznymi nVidia.

%package -n kernel%{_alt_kernel}-video-nvidia
Summary:	nVidia kernel module for nVidia Architecture support
Summary(de.UTF-8):	Das nVidia-Kern-Modul für die nVidia-Architektur-Unterstützung
Summary(hu.UTF-8):	nVidia Architektúra támogatás Linux kernelhez.
Summary(pl.UTF-8):	Moduł jądra dla obsługi kart graficznych nVidia
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.7.7-10
%{?with_dist_kernel:%requires_releq_kernel}
Requires:	%{pname} = %{epoch}:%{version}-%{release}
Provides:	X11-driver-nvidia(kernel)
Obsoletes:	XFree86-nvidia-kernel

%description -n kernel%{_alt_kernel}-video-nvidia
nVidia Architecture support for Linux kernel.

%description -n kernel%{_alt_kernel}-video-nvidia -l de.UTF-8
Die nVidia-Architektur-Unterstützung für den Linux-Kern.

%description -n kernel%{_alt_kernel}-video-nvidia -l hu.UTF-8
nVidia Architektúra támogatás Linux kernelhez.

%description -n kernel%{_alt_kernel}-video-nvidia -l pl.UTF-8
Obsługa architektury nVidia dla jądra Linuksa. Pakiet wymagany przez
sterownik nVidii dla Xorg/XFree86.

%prep
cd %{_builddir}
rm -rf NVIDIA-Linux-x86*-%{version}-pkg*
%ifarch %{ix86}
/bin/sh %{SOURCE0} --extract-only
%setup -qDT -n NVIDIA-Linux-x86-%{version}-pkg0
%else
/bin/sh %{SOURCE1} --extract-only
%setup -qDT -n NVIDIA-Linux-x86_64-%{version}-pkg0
%endif
%patch0 -p1
%patch1 -p1
echo 'EXTRA_CFLAGS += -Wno-pointer-arith -Wno-sign-compare -Wno-unused' >> usr/src/nv/Makefile.kbuild

%build
%if %{with kernel}
cd usr/src/nv
ln -sf Makefile.kbuild Makefile
cat >> Makefile <<'EOF'

$(obj)/nv-kernel.o: $(src)/nv-kernel.o.bin
	cp $< $@
EOF
mv nv-kernel.o{,.bin}
%build_kernel_modules -m nvidia
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{drivers,extensions} \
	$RPM_BUILD_ROOT{%{_includedir}/{GL,cuda,vdpau},%{_libdir},%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},/etc/X11/xinit/xinitrc.d}
%if %{with multigl}
install -d $RPM_BUILD_ROOT{%{_libdir}/nvidia,%{_sysconfdir}/ld.so.conf.d}
%endif

install usr/bin/nvidia-{settings,xconfig,bug-report.sh} $RPM_BUILD_ROOT%{_bindir}
install usr/share/man/man1/nvidia-{settings,xconfig}.* $RPM_BUILD_ROOT%{_mandir}/man1
install usr/share/applications/nvidia-settings.desktop $RPM_BUILD_ROOT%{_desktopdir}
install usr/share/pixmaps/nvidia-settings.png $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/nvidia-settings.sh

for f in \
	usr/lib/tls/libnvidia-tls.so.%{version}		\
	usr/lib/libnvidia-cfg.so.%{version}		\
	usr/lib/libGL{,core}.so.%{version}		\
	usr/lib/libcuda.so.%{version}			\
	usr/lib/libvdpau{,_nvidia,_trace}.so.%{version}	\
	usr/X11R6/lib/libXvMCNVIDIA.so.%{version}	\
%if %{without multigl}
	usr/X11R6/lib/libXvMCNVIDIA.a			\
; do
	install $f $RPM_BUILD_ROOT%{_libdir}
done
%else
; do
	install $f $RPM_BUILD_ROOT%{_libdir}/nvidia
done
install usr/X11R6/lib/libXvMCNVIDIA.a $RPM_BUILD_ROOT%{_libdir}
%endif

install usr/X11R6/lib/modules/extensions/libglx.so.%{version} \
	$RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions
install usr/X11R6/lib/modules/drivers/nvidia_drv.so \
	$RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers
install usr/X11R6/lib/modules/libnvidia-wfb.so.%{version} \
	$RPM_BUILD_ROOT%{_libdir}/xorg/modules

install usr/include/GL/*.h $RPM_BUILD_ROOT%{_includedir}/GL
install usr/include/cuda/*.h $RPM_BUILD_ROOT%{_includedir}/cuda
install usr/include/vdpau/*.h $RPM_BUILD_ROOT%{_includedir}/vdpau

ln -sf libglx.so.%{version} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions/libglx.so

%if %{with multigl}
echo %{_libdir}/nvidia >$RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/nvidia.conf

# OpenGL ABI for Linux compatibility
ln -sf libGL.so.%{version} $RPM_BUILD_ROOT%{_libdir}/nvidia/libGL.so.1
ln -sf nvidia/libGL.so.1 $RPM_BUILD_ROOT%{_libdir}/libGL.so

ln -sf nvidia/libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libXvMCNVIDIA.so
ln -sf libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/nvidia/libXvMCNVIDIA_dynamic.so.1

ln -sf nvidia/libvdpau.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libvdpau.so
ln -sf nvidia/libcuda.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libcuda.so
%else
# OpenGL ABI for Linux compatibility
ln -sf libGL.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libGL.so.1
ln -sf libGL.so.1 $RPM_BUILD_ROOT%{_libdir}/libGL.so

ln -sf libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libXvMCNVIDIA.so
ln -sf libXvMCNVIDIA.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libXvMCNVIDIA_dynamic.so.1

ln -sf libvdpau.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libvdpau.so
ln -sf libcuda.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libcuda.so
%endif
%endif

%if %{with kernel}
%install_kernel_modules -m usr/src/nv/nvidia -d misc
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
cat << 'EOF'
NOTE: You must also install kernel module for this driver to work
  kernel-video-nvidia-%{version}
  kernel-desktop-video-nvidia-%{version}
  kernel-laptop-video-nvidia-%{version}
  kernel-vanilla-video-nvidia-%{version}

Depending on which kernel brand you use.

EOF
%if %{with multigl}
if [ ! -e %{_libdir}/xorg/modules/extensions/libglx.so ]; then
	ln -sf libglx.so.%{version} %{_libdir}/xorg/modules/extensions/libglx.so
fi
%endif

%postun	-p /sbin/ldconfig

%post	-n kernel%{_alt_kernel}-video-nvidia
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-video-nvidia
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc LICENSE
%doc usr/share/doc/{README.txt,NVIDIA_Changelog,XF86Config.sample,html}
%if %{with multigl}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ld.so.conf.d/nvidia.conf
%dir %{_libdir}/nvidia
%attr(755,root,root) %{_libdir}/nvidia/libGL.so.*.*
%attr(755,root,root) %ghost %{_libdir}/nvidia/libGL.so.1
%attr(755,root,root) %{_libdir}/nvidia/libGLcore.so.*.*
%attr(755,root,root) %{_libdir}/nvidia/libXvMCNVIDIA.so.*.*
%attr(755,root,root) %{_libdir}/nvidia/libXvMCNVIDIA_dynamic.so.1
%attr(755,root,root) %{_libdir}/nvidia/libcuda.so.*.*
%attr(755,root,root) %{_libdir}/nvidia/libnvidia-cfg.so.*.*
%attr(755,root,root) %{_libdir}/nvidia/libnvidia-tls.so.*.*
%attr(755,root,root) %{_libdir}/nvidia/libvdpau.so.*.*
%attr(755,root,root) %{_libdir}/nvidia/libvdpau_nvidia.so.*.*
%attr(755,root,root) %{_libdir}/nvidia/libvdpau_trace.so.*.*
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so.*
%ghost %{_libdir}/xorg/modules/extensions/libglx.so
%else
%attr(755,root,root) %{_libdir}/libGL.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libGL.so.1
# symlink for binary apps which fail to conform Linux OpenGL ABI
# (and dlopen libGL.so instead of libGL.so.1)
%attr(755,root,root) %{_libdir}/libGL.so
%attr(755,root,root) %{_libdir}/libGLcore.so.*.*
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA.so.*.*
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA_dynamic.so.1
%attr(755,root,root) %{_libdir}/libcuda.so.*.*
%attr(755,root,root) %{_libdir}/libnvidia-cfg.so.*.*
%attr(755,root,root) %{_libdir}/libnvidia-tls.so.*.*
%attr(755,root,root) %{_libdir}/libvdpau.so.*.*
%attr(755,root,root) %{_libdir}/libvdpau_nvidia.so.*.*
%attr(755,root,root) %{_libdir}/libvdpau_trace.so.*.*
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so*
%endif
%attr(755,root,root) %{_libdir}/xorg/modules/libnvidia-wfb.so.*.*
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/nvidia_drv.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXvMCNVIDIA.so
%attr(755,root,root) %{_libdir}/libcuda.so
%attr(755,root,root) %{_libdir}/libvdpau.so
%dir %{_includedir}/GL
%{_includedir}/GL/gl.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h
%{_includedir}/cuda
%{_includedir}/vdpau
%if %{with multigl}
%attr(755,root,root) %{_libdir}/libGL.so
%endif

%files static
%defattr(644,root,root,755)
%{_libdir}/libXvMCNVIDIA.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nvidia-settings
%attr(755,root,root) %{_bindir}/nvidia-xconfig
%attr(755,root,root) %{_bindir}/nvidia-bug-report.sh
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/*.sh
%{_desktopdir}/nvidia-settings.desktop
%{_mandir}/man1/nvidia-*
%{_pixmapsdir}/nvidia-settings.png
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-video-nvidia
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-nvidia.spec,v $
Revision 1.203  2009/02/07 16:57:14  arekm
- release 8

Revision 1.202  2009/02/06 11:13:09  hawk
- more R: fixes, release 7

Revision 1.201  2009/02/06 11:06:09  hawk
- strict internal deps, release 6

Revision 1.200  2009/02/04 23:45:08  hawk
- pre-release was already built for Th, Epoch 1

Revision 1.199  2009/02/04 23:39:51  hawk
- reverted to 180.22, for the nth time, please do not commit pre-release
  drivers to head

Revision 1.198  2009/02/02 11:00:34  wiget
- updated to 180.27
- use pak0 (without useless prebuild kernel modules)

Revision 1.197  2009/01/27 23:37:11  vip
- up to 180.25

Revision 1.196  2009/01/26 10:39:47  uzsolt
- hu

Revision 1.195  2009/01/25 12:55:50  arekm
- release 4

Revision 1.194  2009/01/19 12:30:32  arekm
- release 3

Revision 1.193  2009/01/15 12:54:15  arekm
- release 2

Revision 1.192  2009/01/12 10:52:45  paszczus
- merged changes from DEVEL (thx vip)

Revision 1.191  2009/01/12 07:13:55  paszczus
- updated to 180.22 (includes optimization for KDE4)

Revision 1.190  2009/01/10 22:37:36  arekm
- release 8

Revision 1.189  2008/12/27 09:00:20  qboosh
- glx extension module provides should be pure virtual

Revision 1.188  2008/12/19 06:31:13  arekm
- release 7

Revision 1.187  2008/12/14 11:43:11  arekm
- release 6

Revision 1.186  2008/12/06 09:00:26  arekm
- release 5

Revision 1.185  2008/11/21 17:56:30  arekm
- release 4

Revision 1.184  2008/11/21 16:15:56  arekm
- release 3

Revision 1.183  2008/11/15 11:29:10  hawk
- release 2

Revision 1.182  2008/11/14 10:24:38  hawk
- updated to 177.82

Revision 1.181  2008/11/14 10:20:43  areq
- rel 6

Revision 1.180  2008/11/08 09:27:09  arekm
- release 5

Revision 1.179  2008/11/04 07:42:30  arekm
- release 4

Revision 1.178  2008/10/25 13:54:36  hawk
- release 3

Revision 1.177  2008/10/13 20:47:59  arekm
- release 2

Revision 1.176  2008/10/08 20:14:39  arekm
- merged from DEVEL

Revision 1.175  2008/09/09 09:02:11  hawk
- release 8

Revision 1.174  2008/09/07 14:36:40  patrys
- make it work with xorg 1.5
- wfb.so is not meant for Xservers that have libwfb.so
- rel 7

Revision 1.173  2008/09/02 06:42:26  arekm
- release 6

Revision 1.172  2008/08/30 16:33:55  arekm
- release 5

Revision 1.171  2008/08/06 20:20:41  hawk
- release 4

Revision 1.170  2008/08/04 20:23:59  hawk
- release 3

Revision 1.169  2008/08/03 10:20:11  arekm
- release 2

Revision 1.168  2008/07/31 23:31:32  wolf
- 173.14.12

Revision 1.167  2008/07/28 10:21:20  glen
- argh!

Revision 1.166  2008/07/28 09:33:12  glen
- fix for alt kernel; rel 11

Revision 1.165  2008/07/27 10:53:34  arekm
- rel 10

Revision 1.164  2008/07/25 13:23:43  glen
- let kernel require userspace, so there won't be situations when userspace is upgraded and kernel is not; rel 9

Revision 1.163  2008/07/25 07:10:20  arekm
- release 8

Revision 1.162  2008/07/19 08:01:50  arekm
- release 7

Revision 1.161  2008/07/15 09:16:21  arekm
- release 6

Revision 1.160  2008/07/09 19:11:20  qboosh
- unified

Revision 1.159  2008/07/03 14:00:00  blues
- nvidia-settings tries to use pkg-config

Revision 1.158  2008/07/02 20:44:25  arekm
- release 5

Revision 1.157  2008/07/01 16:09:39  arekm
- release 4

Revision 1.156  2008/06/26 06:46:51  arekm
- release 3

Revision 1.155  2008/06/24 11:27:28  arekm
- release 2

Revision 1.154  2008/06/17 23:10:14  vip
- up to 173.14.09

Revision 1.153  2008/06/11 15:52:14  hawk
- release 2

Revision 1.152  2008-05-31 15:08:21  hawk
- updated to 173.14.05

Revision 1.151  2008-05-24 10:08:08  hawk
- release 5

Revision 1.150  2008-05-15 13:13:50  glen
- specific

Revision 1.149  2008-05-15 13:02:48  glen
- add todo about Mesa-libGL
- more advanced %post message for different kernel brands

Revision 1.148  2008-05-15 12:56:10  glen
- disable debug packages if kernel only build

Revision 1.147  2008-05-05 06:53:37  hawk
- release 4

Revision 1.146  2008-04-30 21:47:10  hawk
- fix building with kernel 2.6.25

Revision 1.145  2008-04-30 21:03:01  hawk
- reverted back to stable drivers, beta branched as DEVEL (they doesn't
  work ok, screen gets corrupted)

Revision 1.144  2008-04-12 12:09:03  wolf
- rel 1

Revision 1.143  2008-04-12 12:03:17  wolf
- 173.08

Revision 1.142  2008-03-27 19:17:14  arvenil
- release 3 (kernel-2.6.22.19-5)

Revision 1.141  2008-03-10 12:22:42  arekm
- release 2

Revision 1.140  2008-02-29 08:24:03  hawk
- updated to 169.12

Revision 1.139  2008-02-11 11:33:19  arekm
- rel 4

Revision 1.138  2008-02-08 08:51:45  hawk
- release 3

Revision 1.137  2008-02-03 07:39:36  hawk
- release 2

Revision 1.136  2008-01-29 21:06:26  wolf
- 169.09

Revision 1.135  2008-01-24 23:09:29  glen
- drop no_install_post_strip (not reasoned)

Revision 1.134  2008-01-23 18:11:50  hawk
- merged too much

Revision 1.133  2008-01-23 18:06:44  hawk
- simplified version/release macros
- killed unecessary macro nv_ver
- src.rpm contents shouldn't be arch or bcond dependent
- suffix src package with alt kernel name (if present)
- disable userspace for alt_kernels

Revision 1.132  2008-01-22 22:54:03  glen
- rel 2 (2.6.16.59-2)

Revision 1.131  2007-12-22 20:24:09  patrys
- 169.07 stable

Revision 1.130  2007-12-17 14:20:37  arekm
- rel 4

Revision 1.129  2007-12-15 12:02:52  arekm
- rel 3

Revision 1.128  2007-11-29 08:07:09  arekm
- rel 2

Revision 1.127  2007-11-21 18:46:50  wolf
- 169.04

Revision 1.126  2007-11-09 18:17:01  patrys
- don't obsolete mesa-libgl

Revision 1.125  2007/11/01 07:37:51  shadzik
- rel 3 (rebuild with 2.6.22.10-4)

Revision 1.124  2007/10/24 13:53:10  arekm
- rel 2.

Revision 1.123  2007/10/20 18:41:48  wolf
- 100.14.23

Revision 1.122  2007/10/20 18:02:48  wolf
- cut changelog

Revision 1.121  2007/10/20 12:08:19  qboosh
- updated URL

Revision 1.120  2007/10/12 12:51:47  arekm
- rel 2

Revision 1.119  2007/09/29 20:52:45  baggins
- multigl: create extensions/libglx.so symlink if missing on %post

Revision 1.118  2007/09/28 22:43:06  baggins
- moved contents of MULTIGL branch to multigl bcond on HEAD

Revision 1.117  2007/09/19 15:10:12  qboosh
- cleanup

Revision 1.116  2007/09/19 11:37:53  patrys
- require ABI 2.0
- works with new xorg

Revision 1.115  2007/09/19 10:17:47  shadzik
- 100.14.19

Revision 1.114  2007/09/10 17:02:25  arekm
- require old ABI not available in xserver 1.4

Revision 1.113  2007/09/10 16:59:09  patrys
- require ABI version
- unusable with xorg 1.4 (ABI 2.0)

Revision 1.112  2007/09/06 19:45:55  arekm
- rebuilding for new xserver
